export const title = 'Peers'



## List all Peers {{ tag: 'GET' , label: '/api/peers' }}

<Row>
  <Col>
    Returns a list of all peers
              </Col>

  <Col sticky>
    <CodeGroup title="Request" tag="GET" label="/api/peers">
```bash {{ title: 'cURL' }}
curl -X GET https://api.netbird.io/api/peers \
-H 'Accept: application/json' \
-H 'Authorization: Token <TOKEN>' 
```

```js
const axios = require('axios');

let config = {
  method: 'get',
  maxBodyLength: Infinity,
  url: '/api/peers',
  headers: {     
    'Accept': 'application/json',    
    'Authorization': 'Token <TOKEN>'
  }  
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});
```

```python
import requests
import json

url = "https://api.netbird.io/api/peers"

headers: {     
  'Accept': 'application/json',
  'Authorization': 'Token <TOKEN>'
}

response = requests.request("GET", url, headers=headers)

print(response.text)
```

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.netbird.io/api/peers"
  method := "GET"
  
  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  {  
    
  req.Header.Add("Accept", "application/json")
  req.Header.Add("Authorization", "Token <TOKEN>")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("https://api.netbird.io/api/peers")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = "application/json"
request["Authorization"] = "Token <TOKEN>"

response = https.request(request)
puts response.read_body
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();

Request request = new Request.Builder()
  .url("https://api.netbird.io/api/peers")
  .method("GET")    
  .addHeader("Accept", "application/json")
  .addHeader("Authorization: Token <TOKEN>")
  .build();
Response response = client.newCall(request).execute();
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.netbird.io/api/peers',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',  
  CURLOPT_HTTPHEADER => array(        
    'Accept: application/json',
    'Authorization: Token <TOKEN>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

    </CodeGroup>
    
        
            
                <CodeGroup title="Response">
```json {{ title: 'Example' }}
[
  {
    "id": "chacbco6lnnbn6cg5s90",
    "name": "stage-host-1",
    "ip": "10.64.0.1",
    "connected": true,
    "last_seen": "2023-05-05T10:05:26.420578Z",
    "os": "Darwin 13.2.1",
    "version": "0.14.0",
    "groups": [
      {
        "id": "ch8i4ug6lnn4g9hqv7m0",
        "name": "devs",
        "peers_count": 2,
        "issued": "api"
      }
    ],
    "ssh_enabled": true,
    "user_id": "google-oauth2|277474792786460067937",
    "hostname": "stage-host-1",
    "ui_version": "0.14.0",
    "dns_label": "stage-host-1.netbird.cloud",
    "login_expiration_enabled": false,
    "login_expired": false,
    "last_login": "2023-05-05T09:00:35.477782Z"
  }
]
```
```json {{ title: 'Schema' }}
[
  {
    "id": "string",
    "name": "string",
    "ip": "string",
    "connected": "boolean",
    "last_seen": "string",
    "os": "string",
    "version": "string",
    "groups": [
      {
        "id": "string",
        "name": "string",
        "peers_count": "integer",
        "issued": "string"
      }
    ],
    "ssh_enabled": "boolean",
    "user_id": "string",
    "hostname": "string",
    "ui_version": "string",
    "dns_label": "string",
    "login_expiration_enabled": "boolean",
    "login_expired": "boolean",
    "last_login": "string"
  }
]
```
                </CodeGroup>
                 
            
            
            
            
              </Col>
</Row>

---


## Retrieve a Peer {{ tag: 'GET' , label: '/api/peers/{peerId}' }}

<Row>
  <Col>
    Get information about a peer
    
    #### Path Parameters
    <Properties>
        
          <Property name="peerId" type="string" required={true}> 
            The unique identifier of a peer
          </Property>   
            </Properties>
              </Col>

  <Col sticky>
    <CodeGroup title="Request" tag="GET" label="/api/peers/{peerId}">
```bash {{ title: 'cURL' }}
curl -X GET https://api.netbird.io/api/peers/{peerId} \
-H 'Accept: application/json' \
-H 'Authorization: Token <TOKEN>' 
```

```js
const axios = require('axios');

let config = {
  method: 'get',
  maxBodyLength: Infinity,
  url: '/api/peers/{peerId}',
  headers: {     
    'Accept': 'application/json',    
    'Authorization': 'Token <TOKEN>'
  }  
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});
```

```python
import requests
import json

url = "https://api.netbird.io/api/peers/{peerId}"

headers: {     
  'Accept': 'application/json',
  'Authorization': 'Token <TOKEN>'
}

response = requests.request("GET", url, headers=headers)

print(response.text)
```

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.netbird.io/api/peers/{peerId}"
  method := "GET"
  
  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  {  
    
  req.Header.Add("Accept", "application/json")
  req.Header.Add("Authorization", "Token <TOKEN>")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("https://api.netbird.io/api/peers/{peerId}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = "application/json"
request["Authorization"] = "Token <TOKEN>"

response = https.request(request)
puts response.read_body
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();

Request request = new Request.Builder()
  .url("https://api.netbird.io/api/peers/{peerId}")
  .method("GET")    
  .addHeader("Accept", "application/json")
  .addHeader("Authorization: Token <TOKEN>")
  .build();
Response response = client.newCall(request).execute();
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.netbird.io/api/peers/{peerId}',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',  
  CURLOPT_HTTPHEADER => array(        
    'Accept: application/json',
    'Authorization: Token <TOKEN>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

    </CodeGroup>
    
        
            
                <CodeGroup title="Response">
```json {{ title: 'Example' }}
{
  "id": "chacbco6lnnbn6cg5s90",
  "name": "stage-host-1",
  "ip": "10.64.0.1",
  "connected": true,
  "last_seen": "2023-05-05T10:05:26.420578Z",
  "os": "Darwin 13.2.1",
  "version": "0.14.0",
  "groups": [
    {
      "id": "ch8i4ug6lnn4g9hqv7m0",
      "name": "devs",
      "peers_count": 2,
      "issued": "api"
    }
  ],
  "ssh_enabled": true,
  "user_id": "google-oauth2|277474792786460067937",
  "hostname": "stage-host-1",
  "ui_version": "0.14.0",
  "dns_label": "stage-host-1.netbird.cloud",
  "login_expiration_enabled": false,
  "login_expired": false,
  "last_login": "2023-05-05T09:00:35.477782Z"
}
```
```json {{ title: 'Schema' }}
{
  "id": "string",
  "name": "string",
  "ip": "string",
  "connected": "boolean",
  "last_seen": "string",
  "os": "string",
  "version": "string",
  "groups": [
    {
      "id": "string",
      "name": "string",
      "peers_count": "integer",
      "issued": "string"
    }
  ],
  "ssh_enabled": "boolean",
  "user_id": "string",
  "hostname": "string",
  "ui_version": "string",
  "dns_label": "string",
  "login_expiration_enabled": "boolean",
  "login_expired": "boolean",
  "last_login": "string"
}
```
                </CodeGroup>
                
            
            
            
            
              </Col>
</Row>

---


## Update a Peer {{ tag: 'PUT' , label: '/api/peers/{peerId}' }}

<Row>
  <Col>
    Update information about a peer
    
    #### Path Parameters
    <Properties>
        
          <Property name="peerId" type="string" required={true}> 
            The unique identifier of a peer
          </Property>   
            </Properties>
            
    #### Request-Body Parameters
    <Properties>
        
          <Property name="name" type="string" required={true} 
           
           
                               > 
          
          </Property>
        
          <Property name="ssh_enabled" type="boolean" required={true} 
           
           
                               > 
          
          </Property>
        
          <Property name="login_expiration_enabled" type="boolean" required={true} 
           
           
                               > 
          
          </Property>
            </Properties>   
       </Col>

  <Col sticky>
    <CodeGroup title="Request" tag="PUT" label="/api/peers/{peerId}">
```bash {{ title: 'cURL' }}
curl -X PUT https://api.netbird.io/api/peers/{peerId} \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Token <TOKEN>' \
--data-raw '{
  "name": "stage-host-1",
  "ssh_enabled": true,
  "login_expiration_enabled": false
}'
```

```js
const axios = require('axios');
let data = JSON.stringify({
  "name": "stage-host-1",
  "ssh_enabled": true,
  "login_expiration_enabled": false
});
let config = {
  method: 'put',
  maxBodyLength: Infinity,
  url: '/api/peers/{peerId}',
  headers: {     
    'Accept': 'application/json',    
    'Content-Type': 'application/json',
    'Authorization': 'Token <TOKEN>'
  },  
  data : data
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});
```

```python
import requests
import json

url = "https://api.netbird.io/api/peers/{peerId}"
payload = json.dumps({
  "name": "stage-host-1",
  "ssh_enabled": true,
  "login_expiration_enabled": false
})
headers: {   
  'Content-Type': 'application/json',  
  'Accept': 'application/json',
  'Authorization': 'Token <TOKEN>'
}

response = requests.request("PUT", url, headers=headers, data=payload)

print(response.text)
```

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.netbird.io/api/peers/{peerId}"
  method := "PUT"
  
  payload := strings.NewReader(`{
  "name": "stage-host-1",
  "ssh_enabled": true,
  "login_expiration_enabled": false
}`)
  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  {  
  
  req.Header.Add("Content-Type", "application/json")  
  req.Header.Add("Accept", "application/json")
  req.Header.Add("Authorization", "Token <TOKEN>")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("https://api.netbird.io/api/peers/{peerId}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = "application/json"
request["Accept"] = "application/json"
request["Authorization"] = "Token <TOKEN>"

request.body = JSON.dump({
  "name": "stage-host-1",
  "ssh_enabled": true,
  "login_expiration_enabled": false
})
response = https.request(request)
puts response.read_body
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, '{
  "name": "stage-host-1",
  "ssh_enabled": true,
  "login_expiration_enabled": false
}');
Request request = new Request.Builder()
  .url("https://api.netbird.io/api/peers/{peerId}")
  .method("PUT", body)  
  .addHeader("Content-Type", "application/json")  
  .addHeader("Accept", "application/json")
  .addHeader("Authorization: Token <TOKEN>")
  .build();
Response response = client.newCall(request).execute();
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.netbird.io/api/peers/{peerId}',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',  
  CURLOPT_POSTFIELDS => '{
  "name": "stage-host-1",
  "ssh_enabled": true,
  "login_expiration_enabled": false
}',
  CURLOPT_HTTPHEADER => array(    
    'Content-Type: application/json',    
    'Accept: application/json',
    'Authorization: Token <TOKEN>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

    </CodeGroup>
    
        
            
                <CodeGroup title="Response">
```json {{ title: 'Example' }}
{
  "id": "chacbco6lnnbn6cg5s90",
  "name": "stage-host-1",
  "ip": "10.64.0.1",
  "connected": true,
  "last_seen": "2023-05-05T10:05:26.420578Z",
  "os": "Darwin 13.2.1",
  "version": "0.14.0",
  "groups": [
    {
      "id": "ch8i4ug6lnn4g9hqv7m0",
      "name": "devs",
      "peers_count": 2,
      "issued": "api"
    }
  ],
  "ssh_enabled": true,
  "user_id": "google-oauth2|277474792786460067937",
  "hostname": "stage-host-1",
  "ui_version": "0.14.0",
  "dns_label": "stage-host-1.netbird.cloud",
  "login_expiration_enabled": false,
  "login_expired": false,
  "last_login": "2023-05-05T09:00:35.477782Z"
}
```
```json {{ title: 'Schema' }}
{
  "id": "string",
  "name": "string",
  "ip": "string",
  "connected": "boolean",
  "last_seen": "string",
  "os": "string",
  "version": "string",
  "groups": [
    {
      "id": "string",
      "name": "string",
      "peers_count": "integer",
      "issued": "string"
    }
  ],
  "ssh_enabled": "boolean",
  "user_id": "string",
  "hostname": "string",
  "ui_version": "string",
  "dns_label": "string",
  "login_expiration_enabled": "boolean",
  "login_expired": "boolean",
  "last_login": "string"
}
```
                </CodeGroup>
                
            
            
            
            
              </Col>
</Row>

---


## Delete a Peer {{ tag: 'DELETE' , label: '/api/peers/{peerId}' }}

<Row>
  <Col>
    Delete a peer
    
    #### Path Parameters
    <Properties>
        
          <Property name="peerId" type="string" required={true}> 
            The unique identifier of a peer
          </Property>   
            </Properties>
              </Col>

  <Col sticky>
    <CodeGroup title="Request" tag="DELETE" label="/api/peers/{peerId}">
```bash {{ title: 'cURL' }}
curl -X DELETE https://api.netbird.io/api/peers/{peerId} \
-H 'Authorization: Token <TOKEN>' 
```

```js
const axios = require('axios');

let config = {
  method: 'delete',
  maxBodyLength: Infinity,
  url: '/api/peers/{peerId}',
  headers: {         
    'Authorization': 'Token <TOKEN>'
  }  
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});
```

```python
import requests
import json

url = "https://api.netbird.io/api/peers/{peerId}"

headers: {     
  'Authorization': 'Token <TOKEN>'
}

response = requests.request("DELETE", url, headers=headers)

print(response.text)
```

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.netbird.io/api/peers/{peerId}"
  method := "DELETE"
  
  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  {  
    
  req.Header.Add("Authorization", "Token <TOKEN>")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("https://api.netbird.io/api/peers/{peerId}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = "Token <TOKEN>"

response = https.request(request)
puts response.read_body
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();

Request request = new Request.Builder()
  .url("https://api.netbird.io/api/peers/{peerId}")
  .method("DELETE")    
  .addHeader("Authorization: Token <TOKEN>")
  .build();
Response response = client.newCall(request).execute();
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.netbird.io/api/peers/{peerId}',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'DELETE',  
  CURLOPT_HTTPHEADER => array(        
    'Authorization: Token <TOKEN>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

    </CodeGroup>
    
            
            
            
            
              </Col>
</Row>

---
